* ------------------------------------------------------------------------
* Mika Haapanen, harjoitus6c1.do (3.4.2007) 
* Jyvskyln yliopisto, taloustieteiden tiedekunta  
* Tyn taloustiede I, kevt 2007, harjoitus 6, tehtv c1
* --------------------------------------------------------------------------
version 9
capture log close
* set memory 30M
* set maxvar 2500
* set matsize 1000
* Mikli asetat "set more off", tulostus tulee ilman pyshdyksi.
set more off
* Mikli haluat kytt tulosteissa pilkkuja pisteen sijaan:
set dp comma
* Paluu oletukseen:
* set dp period
* ---------------------------------------------------------------------------
* Avataan tiedosto
* ---------------------------------------------------------------------------
use http://www.cc.jyu.fi/~mphaapan/tyontal1/2007/tvtdata8906.dta, clear
* --------------------------------------------------------------------------- 
* Piirretn kuvio - Yrit tehd oheinen kuvio mys valikkojen kautta!
* ---------------------------------------------------------------------------
#delimit ;
* Tyttmyysaste;
twoway (connected tyottomyysaste vuosi if sukupuoli == "Miehet", msize(small)) 
	(connected tyottomyysaste vuosi if sukupuoli == "Naiset", msize(small)), 
	ytitle("Tyttmyysaste, %", size(small) justification(left)) xtitle(Vuosi, size(small)) 
	title(Ikluokka, alignment(top)) 
	legend(rows(3) order(1 "Miehet" 2 "Naiset") size(medium) title(Sukupuoli, size(medium)) ) 
	name(tyottomyysaste, replace) scheme(s2color) by(ikaluokka, note("") legend(position(0) at(12))
	title(Tyttmyysaste ikluokittain ja sukupuolittain vuonna 1989-2006, size(medium))); 
* Seuraavalla komennolla saat tallennettua kuvion;
* graph export tyottomyysaste.emf, replace;
#delimit cr
* ---------------------------------------------------------------------------

